# Changelog

All notable changes to this project will be documented in this file. See [standard-version](https://github.com/conventional-changelog/standard-version) for commit guidelines.

### [5.7.1](https://gitlab.com/kohana-js/modules/admin/compare/v5.7.0...v5.7.1) (2024-01-19)


### Bug Fixes

* user database name hard code to admin.sqlite ([b35b7de](https://gitlab.com/kohana-js/modules/admin/commit/b35b7deac6039996feb8a78da7fa20ca4d428347))

## [5.7.0](https://gitlab.com/kohana-js/modules/admin/compare/v5.6.1...v5.7.0) (2023-08-22)


### Features

* orderBy query string, sort and order ([ff76cb1](https://gitlab.com/kohana-js/modules/admin/commit/ff76cb1ef2a5ce18013b7447c1958bfd7dd5be9a))

### [5.6.1](https://gitlab.com/kohana-js/modules/admin/compare/v5.6.0...v5.6.1) (2023-07-19)

## [5.6.0](https://gitlab.com/kohana-js/modules/admin/compare/v5.5.1...v5.6.0) (2023-07-19)


### Features

* list duplicated, update and created records ([1cc5959](https://gitlab.com/kohana-js/modules/admin/commit/1cc59599c7de9439f6a4053ebd240d8f83907e72))

### [5.5.1](https://gitlab.com/kohana-js/modules/admin/compare/v5.5.0...v5.5.1) (2023-07-19)

## [5.5.0](https://gitlab.com/kohana-js/modules/admin/compare/v5.4.1...v5.5.0) (2023-07-17)


### Features

* export with custom filter ([fa24b42](https://gitlab.com/kohana-js/modules/admin/commit/fa24b428d241beb6cf87940ea7ab3c224a623d93))

### [5.4.1](https://gitlab.com/kohana-js/modules/admin/compare/v5.4.0...v5.4.1) (2023-07-17)

## [5.4.0](https://gitlab.com/kohana-js/modules/admin/compare/v5.3.10...v5.4.0) (2023-07-17)


### Features

* export instances filter and instance handler ([b16a290](https://gitlab.com/kohana-js/modules/admin/commit/b16a290bd4d6ea467a10ca5479fc6657b605c145))

### [5.3.10](https://gitlab.com/kohana-js/modules/admin/compare/v5.3.9...v5.3.10) (2023-07-05)

### [5.3.9](https://gitlab.com/kohana-js/modules/admin/compare/v5.3.8...v5.3.9) (2023-06-01)

### [5.3.8](https://gitlab.com/kohana-js/modules/admin/compare/v5.3.7...v5.3.8) (2023-05-25)


### Bug Fixes

* import error - HeaderColumnMap ([b597013](https://gitlab.com/kohana-js/modules/admin/commit/b597013180abaa9fbd06dd89a0e3a11c6a869279))

### [5.3.7](https://gitlab.com/kohana-js/modules/admin/compare/v5.3.4...v5.3.7) (2023-05-25)


### Bug Fixes

* change person not work in controller/Account ([471d143](https://gitlab.com/kohana-js/modules/admin/commit/471d1431a07171534b6ce1a946be8bd04c4bd869))

### [5.3.6](https://gitlab.com/kohana-js/modules/admin/compare/v5.3.5...v5.3.6) (2023-03-15)

### [5.3.5](https://gitlab.com/kohana-js/modules/admin/compare/v5.3.4...v5.3.5) (2023-03-15)


### Bug Fixes

* change person not work in controller/Account ([471d143](https://gitlab.com/kohana-js/modules/admin/commit/471d1431a07171534b6ce1a946be8bd04c4bd869))

### [5.3.4](https://gitlab.com/kohana-js/modules/admin/compare/v5.3.3...v5.3.4) (2022-08-05)


### Bug Fixes

* import decamelize ([2de1278](https://gitlab.com/kohana-js/modules/admin/commit/2de12789a4903d897d51c83f21e422ab7f526577))

### [5.3.3](https://gitlab.com/kohana-js/modules/admin/compare/v5.3.2...v5.3.3) (2022-06-22)

### [5.3.2](https://gitlab.com/kohana-js/modules/admin/compare/v5.3.1...v5.3.2) (2022-05-30)


### Bug Fixes

* no record imported ([7535ce6](https://gitlab.com/kohana-js/modules/admin/commit/7535ce6f1f44061f3f1cae39947f37d4c6259982))

### [5.3.1](https://gitlab.com/kohana-js/modules/admin/compare/v5.3.0...v5.3.1) (2022-05-30)


### Bug Fixes

* database is undefined ([f56f26e](https://gitlab.com/kohana-js/modules/admin/commit/f56f26e442a01df742f02583749872c0538f14f2))

## [5.3.0](https://gitlab.com/kohana-js/modules/admin/compare/v5.2.2...v5.3.0) (2022-05-30)


### Features

* import and upload ([ac7a91a](https://gitlab.com/kohana-js/modules/admin/commit/ac7a91a02b47cb6bfe2453256618cab4e013299d))

### [5.2.2](https://gitlab.com/kohana-js/modules/admin/compare/v5.2.1...v5.2.2) (2022-05-27)


### Bug Fixes

* export only contain 50 records ([fc16dd7](https://gitlab.com/kohana-js/modules/admin/commit/fc16dd7eeae573edd61b6c15d415d105ff59d3cc))

### [5.2.1](https://gitlab.com/kohana-js/modules/admin/compare/v5.2.0...v5.2.1) (2022-05-12)


### Bug Fixes

* csv cached ([6b0821e](https://gitlab.com/kohana-js/modules/admin/commit/6b0821ee685bb9fe8f533f089e2076e6864ee57b))

## [5.2.0](https://gitlab.com/kohana-js/modules/admin/compare/v5.1.0...v5.2.0) (2022-05-03)


### Features

* ControllerMixinExport use state rather than instances ([c0da7b2](https://gitlab.com/kohana-js/modules/admin/commit/c0da7b237a2efbdc37638abbab9a4ffe823bfa8a))

## [5.1.0](https://gitlab.com/kohana-js/modules/admin/compare/v5.0.1...v5.1.0) (2022-04-30)


### Features

* export csv and index with start and end query string ([0a2767b](https://gitlab.com/kohana-js/modules/admin/commit/0a2767be63a33e5cc8a9a598520f2e386ae97b50))

### [5.0.1](https://gitlab.com/kohana-js/modules/admin/compare/v5.0.0...v5.0.1) (2022-04-12)

## [5.0.0](https://gitlab.com/kohana-js/modules/admin/compare/v4.4.1...v5.0.0) (2022-03-09)


### ⚠ BREAKING CHANGES

* add require sequence in index.js and routes.js

* add require sequence in index.js and routes.js ([758c787](https://gitlab.com/kohana-js/modules/admin/commit/758c7873a6dce478a8a2835abf27ac62fbfb1536))

### [4.4.1](https://gitlab.com/kohana-js/modules/admin/compare/v4.4.0...v4.4.1) (2021-12-20)


### Bug Fixes

* update dependency ([3d9c4f7](https://gitlab.com/kohana-js/modules/admin/commit/3d9c4f7055c9753020b2a978c3f7f192de7f3c8a))

## [4.4.0](https://gitlab.com/kohana-js/modules/admin/compare/v4.3.1...v4.4.0) (2021-11-30)


### Features

* protect create user by ControllerAdminUser ([a01bcd7](https://gitlab.com/kohana-js/modules/admin/commit/a01bcd7d8d198989c2e29aed70141a35119fa02c))


### Bug Fixes

* admin create user ([d077936](https://gitlab.com/kohana-js/modules/admin/commit/d07793611c8e22594f76fe9cc2ea974f99d3cab8))

### [4.3.1](https://gitlab.com/kohana-js/modules/admin/compare/v4.3.0...v4.3.1) (2021-11-01)

## [4.3.0](https://gitlab.com/kohana-js/modules/admin/compare/v4.2.1...v4.3.0) (2021-10-29)


### Features

* disable mod-auth register in admin module. ([b0ef6a4](https://gitlab.com/kohana-js/modules/admin/commit/b0ef6a46ae82e06e041bac538cc86de40e051759))

### [4.2.1](https://gitlab.com/kohana-js/modules/admin/compare/v4.2.0...v4.2.1) (2021-10-29)


### Bug Fixes

* Home missing database ([fd144d7](https://gitlab.com/kohana-js/modules/admin/commit/fd144d7222c95b969c172524738a97a3fa4eb9e9))

## 4.2.0 (2021-10-29)


### Features

* add config register to enable create root user from form ([8ad96e6](https://gitlab.com/kohana-js/modules/admin/commit/8ad96e698e1278c0dcd31ec4fa6854fd37d95b89))


### Bug Fixes

* user role class name in views ([ceeb334](https://gitlab.com/kohana-js/modules/admin/commit/ceeb334028758a76c6e218b2defdf0474d197c34))

## [4.1.4] - 2021-10-18
### Fixed
- user role in view

## [4.1.3] - 2021-10-18
### Fixed
- user role in view
- display user's name in admin/user

## [4.1.2] - 2021-10-18
### Fixed
- create user
- user full name

## [4.1.1] - 2021-10-13
### Added
- add dependency camelize, decamelize

## [4.1.0] - 2021-10-13
### Removed
- remove dependency on @kohanajs/mod-database

## [4.0.3] - 2021-10-07
### fixed
- fix read user full name
- update AWS SDK

## [4.0.2] - 2021-10-06
### changed
- remove mod-signup and support mod-auth

## [3.0.0] - 2021-09-07
### Changed
- use KohanaJS 6 and mod-form

## [2.2.3] - 2021-09-07
### Added
- create CHANGELOG.md